Skip to main content
GET
/
2025-07
/
retail-media
/
line-items
/
{line-item-id}
/
products
/2025-07/retail-media/line-items/{line-item-id}/products
curl --request GET \
  --url https://api.criteo.com/2025-07/retail-media/line-items/{line-item-id}/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "bidOverride": 123,
        "id": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "responseCount": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

line-item-id
string
required

ID of the line item.

Query Parameters

fields
string

A comma separated list of attribute names from the response model to compute and return. Valid values are status and bidOverride in any order. Defaults to status.

limit
integer<int32>

Maximum page size to fetch. Defaults to 500.

offset
integer<int32>

Offset of the first item to fetch. Defaults to zero.

Response

200 - application/json

Promoted products associated with the line item

Outcome object containing promoted products.

data
object[] | null
errors
object[] | null
read-only
meta
object

Metadata about the response. Used for pagination.

warnings
object[] | null
read-only